<?php
/**
 * Archive
 *
 * This page is for our archives.
 *
 * @package Live
 * @since 3.0.0
 *
 */
 
get_header(); ?>

	<div id="content">
	
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
			<?php get_template_part( 'includes/post-formats' ); ?>
			
			<h2 class="blog-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
			
			<?php get_template_part( 'includes/post-meta' ); ?>
			
			<?php if(of_get_option('content_excerpt') == 'excerpt') { ?>
			
				<?php the_excerpt(); ?>
			
			<?php } else { ?>
			
				<?php the_content();?>
			
			<?php } ?>
			
		</article><!-- #post-<?php the_ID(); ?> -->
				
		<?php endwhile; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.', 'organizedthemes'); ?></p>
		<?php endif; ?>
		
		<?php get_template_part( 'includes/pagination' ); ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>