<?php
/**
 * Creates the header section of 
 * the site and loads wp_head
 *
 * 
 */?><!DOCTYPE html>
 <!--[if IE 8 ]> <html class="ie8"> <![endif]-->
 <!--[if IE 9 ]> <html class="ie9"> <![endif]-->
 <!--[if (gt IE 9)|!(IE)]><!--> <html <?php language_attributes(); ?>> <!--<![endif]-->
 <head>

	<?php tha_head_top(); ?>

	<title><?php wp_title( '|', true, 'right' ); ?></title>

	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	
	<!--Load WP Head-->
	<?php wp_head(); ?>
	
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	
	<?php if(of_get_option('favicon', $single = true) != ""){ ?>
	<link rel="shortcut icon" href="<?php echo of_get_option('favicon'); ?>" type="image/x-icon" />
	<?php } ?>
	
	<?php if(of_get_option('apple', $single = true) != ""){ ?>
	<link rel="apple-touch-icon-precomposed" href="<?php echo of_get_option('apple'); ?>" />
	<?php } ?>
	
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	
	<?php tha_head_bottom(); ?>
	
</head>

<body <?php body_class(); ?>>

	<div id="header" class="shadow cf">
	
		<div id="header-content">
			
			<?php if( of_get_option( 'header_blog_title' ) == 'image' ) { ?>
				<div id="logo"><?php
					if ( is_front_page() ) {
						echo '<h1><a href="'.home_url().'/"><img src="'.of_get_option('logo','').'" alt="'.get_bloginfo('name').'" /></a></h1>';
					} else {
						echo '<p><a href="'.home_url().'/"><img src="'.of_get_option('logo','').'" alt="'.get_bloginfo('name').'" /></a></p>';
					}
				?>
				</div>
			    <?php } elseif( of_get_option( 'header_blog_title' ) == 'text' ) { ?>
				<div id="text-logo"><?php
					if ( is_front_page() ) {
						echo '<h1><a href="'.home_url().'/">'.get_bloginfo('name').'</a></h1>';
					} else {
						echo '<p><a href="'.home_url().'/">'.get_bloginfo('name').'</a></p>';
					}
				?></div>
			<?php } ?>

			<div id="navigation">

				<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container' => 'nav' ) ); ?>
								
			</div><!-- #navigation --> 

		</div><!-- #header-content -->
		
	</div><!--  #header -->
	
	<div class="wrap shadow">