<?php
/**
 * Creates Comment List.
 *
 * This sets the output for comments
 * and trackbacks on a post.
 *
 * @subpackage  Live
 * @since 		3.0.0
 */
   
function organizedthemes_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'organizedthemes' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( '(Edit)', 'organizedthemes' ), ' ' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
	
		<div class="comment-header">
			<?php echo get_avatar( $comment, 60 ); ?>
			<?php printf( __( '%s', 'organizedthemes' ), sprintf( '<cite class="fn">%s</cite>', get_comment_author_link() ) ); ?>
			
			<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>"><time pubdate datetime="<?php comment_time( 'c' ); ?>">
			<?php
				/* translators: 1: date, 2: time */
				printf( __( '%1$s at %2$s', 'organizedthemes' ), get_comment_date(), get_comment_time() ); ?>
			</time></a>
			<?php edit_comment_link( __( '(Edit)', 'organizedthemes' ), ' ' );
			?>
		</div><!-- close comment header -->
		
		<div class="comment-content">
			<?php if ( $comment->comment_approved == '0' ) : ?>
				<em><?php _e( 'Your comment is awaiting moderation.', 'organizedthemes' ); ?></em>
				<br />
			<?php endif; ?>
			<?php comment_text(); ?>
		
		</div>

		<div class="reply">
			<p><?php comment_reply_link( array_merge( $args, array( 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?></p>
		</div><!-- .reply -->
		<!-- #comment-## -->

	<?php
			break;
	endswitch;
}