<?php
/**
 * The custom css generator.
 *
 * This file takes the custom styling from
 * the theme options page and adds it to the
 * header.php file. 
 *
 * @package 	Live
 * @since		3.0.0
 */


add_action( 'tha_head_bottom', 'organizedthemes_custom_css_hook' );

if ( ! function_exists( 'organizedthemes_custom_css_hook' ) ):

	function organizedthemes_custom_css_hook( ) {
	   
	?>
 
<style type='text/css'>
	
	<?php 
		
		if ( !of_get_option( 'disable_fonts' ) ) {
		
			$output = '';
			$input = '';
			
			if ( of_get_option( 'body_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'body_font' ) , 'body');
			}
			
			if ( of_get_option( 'site_title_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'site_title_font' ) , '#text-logo p, #text-logo h1');
			}
			if ( of_get_option( 'heading_font' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'heading_font' ) , 'h1, h2, h3, h4, h5, h6');
			}
			if ( of_get_option( 'navigation_type' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'navigation_type' ) , '#navigation .menu li, #navigation .menu li li');
			}
	
			if ( of_get_option( 'widget_title' ) ) {
				$output .= options_typography_font_styles( of_get_option( 'widget_title' ) , 'h3.widget-title');
			}
					
			if ( $output != '' ) {
				$output =  $output ;
				echo $output;
			}
		
		}
	
	 ?>
	
	body { background: url(<?php echo of_get_option('background_image', '' ); ?>) <?php echo of_get_option('background_color', '' ); ?> <?php echo of_get_option('background_repeat', '' ); ?> <?php echo of_get_option('background_attachment', '' ); ?> <?php echo of_get_option('background_position_horizontal', '' ); ?> <?php echo of_get_option('background_position_vertical', '' ); ?> }
	    
	<?php if(of_get_option('link', $single = true) != ""){ ?>
		a, a:visited {color: <?php echo of_get_option('link', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('link_hover', $single = true) != ""){ ?>
		a:hover {color: <?php echo of_get_option('link_hover', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('logo_color', $single = true) != ""){ ?>
		#text-logo a, #text-logo a:visited { color: <?php echo of_get_option('logo_color', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('logo_color_hover', $single = true) != ""){ ?>
		#text-logo a:hover { color: <?php echo of_get_option('logo_color_hover', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('header_background', $single = true) != ""){ ?>
		#header { background-color: <?php echo of_get_option('header_background', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('nav_color', $single = true) != ""){ ?>
		#navigation .menu a, #navigation .menu a:visited { color: <?php echo of_get_option('nav_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('nav_color_hover', $single = true) != ""){ ?>
		#navigation .menu a:hover { color: <?php echo of_get_option('nav_color_hover', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('nav_drop', $single = true) != ""){ ?>
		#navigation .menu li ul { background-color: <?php echo of_get_option('nav_drop', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('action_background', $single = true) != ""){ ?>
		#action-bar, #donate-bar { background-color: <?php echo of_get_option('action_background', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('action_text_color', $single = true) != ""){ ?>
		#action-bar h2 a, #action-bar h2 a:visited, #donate-description h2, #donate-end { color: <?php echo of_get_option('action_text_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('action_text_hover', $single = true) != ""){ ?>
		#action-bar h2 a:hover { color: <?php echo of_get_option('action_text_hover', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('donation_base_color', $single = true) != ""){ ?>
		#donate-graph-base { background-color: <?php echo of_get_option('donation_base_color', '' ); ?> }
	<?php } ?>
	
	<?php if(of_get_option('donation_progress_color', $single = true) != ""){ ?>
		#donate-graph-highlight { background-color: <?php echo of_get_option('donation_progress_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('button_color', $single = true) != ""){ ?>
		a.button,
		input[type="button"],
		input[type="submit"] { color: <?php echo of_get_option('button_color', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('button_background', $single = true) != ""){ ?>
		a.button,
		input[type="button"],
		input[type="submit"] { background-color: <?php echo of_get_option('button_background', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('button_color_hover', $single = true) != ""){ ?>
		a:hover.button,
		input:hover[type="button"],
		input:hover[type="submit"]  { color: <?php echo of_get_option('button_color_hover', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('button_background_hover', $single = true) != ""){ ?>
		a:hover.button,
		input:hover[type="button"],
		input:hover[type="submit"]  { background-color: <?php echo of_get_option('button_background_hover', '' ); ?>; }
	<?php } ?>
	<?php if(of_get_option('content_background', $single = true) != ""){ ?>
		.wrap { background-color: <?php echo of_get_option('content_background', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('content_text', $single = true) != ""){ ?>
		.wrap { color: <?php echo of_get_option('content_text', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('headings', $single = true) != ""){ ?>
		h1, h2, h3, h4, h5, h6 { color: <?php echo of_get_option('headings', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('sidebar_background', $single = true) != ""){ ?>
		#sidebar, #home-left, #home-middle, #home-right, #author-info { background-color: <?php echo of_get_option('sidebar_background', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('sidebar_text', $single = true) != ""){ ?>
		#sidebar, #home-left, #home-middle, #home-right, #author-info, h3.widget-title { color: <?php echo of_get_option('sidebar_text', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('footer_color', $single = true) != ""){ ?>
		#footer, #footer p, #footer a, #footer a:visited { color: <?php echo of_get_option('footer_color', '' ); ?> }
	<?php } ?>
	<?php if(of_get_option('home_widget_height', $single = true) != ""){ ?>
		#home-left, #home-middle, #home-right { height: <?php echo of_get_option('home_widget_height', '' ); ?>px; }
	<?php } ?>
	<?php if(of_get_option('custom_css', $single = true) != ""){ ?>
		<?php echo of_get_option('custom_css', '' ); ?>
	<?php } ?>

</style>
 
<?php
}
	
endif; // organizedthemes_custom_css_hook