<?php
/**
 * The custom js generator.
 *
 * This file makes our slideshow
 * options possible.  It prints the
 * options to the footer
 *
 * @package 	Live
 * @since  		3.0.0
 */


add_action( 'wp_footer', 'organizedthemes_js_hook', 80 );

if ( ! function_exists( 'organizedthemes_js_hook' ) ):

	function organizedthemes_js_hook( ) {
	  
	?>
	
<script>

// Flexslider	
	jQuery(window).load(function() {
		jQuery('.flexslider').flexslider({
			animation           :	"<?php echo of_get_option('type','') ?>",
			slideshow           :	<?php echo of_get_option('auto','') ?>,
			slideshowSpeed      :	<?php echo of_get_option('duration','') ?>,
			animationDuration   :	<?php echo of_get_option('transition','') ?>,
			directionNav        :   <?php echo of_get_option('prev_next','') ?>,
			controlNav          :	false,
			pauseOnAction       :   true,
			smoothHeight        :   true,
			pauseOnHover        :	true,
			useCSS              :   false,
			touch               :   true,
			video               :   true
		});
	});

// superfish
	jQuery(document).ready(function() { 
	        jQuery('ul.menu').superfish({ 
	            delay:       1000,                             
	            animation:   {opacity:'show',height:'show'},   
	            speed:       'fast',                          
	            autoArrows:  false,                            
	            dropShadows: false                           
	        }); 
	    });

// Fit videos
	jQuery(document).ready(function(){
		jQuery(".responsive-video").fitVids();
	});

// Equal column heights on inside pages
	jQuery(document).ready( function($){
	  var leftHeight = $("#content").height();
	  var rightHeight = $("#page-right").height();
	      if (leftHeight > rightHeight){ $("#page-right").height(leftHeight)}
	         else{ $("#content").height(rightHeight)};
	})

<?php if(of_get_option('gallery') == 'true') { ?>
	
// Load Lightbox and add lightbox class and rel for prev/next functionality
	jQuery(document).ready(function(){
    	jQuery('.lightbox').lightbox();
    	
    		jQuery('.gallery a').addClass('lightbox');
    		jQuery('.gallery a').attr('rel', 'gallery');
    
    });

<?php } ?>

<?php if ( is_singular( 'podcast' ) ) { ?>

// Media Element
	jQuery('audio').mediaelementplayer();	

<?php } ?>	

</script>

<?php }

endif; // organizedthemes_js_hook