<?php
// Include & setup custom metabox and fields
add_filter( 'cmb_meta_boxes', 'live_metaboxes' );
function live_metaboxes( $meta_boxes ) {

	$meta_boxes[] = array(
		'id'         => 'video_metabox',
		'title'      => 'Video Code',
		'pages'      => array( 'post', 'page' ), // Post type
		'context'    => 'side',
		'priority'   => 'high',
		'show_names' => false, // Show field names on the left
		'fields'     => array(
			array(
				'name' => __( 'Embed Code', 'organizedthemes' ),
				'desc' => __( 'Paste your video embed code here.', 'organizedthemes' ),
				'id'   => 'video_embed',
				'type' => 'textarea_code',
			),
		),
	);
		
	$meta_boxes[] = array(
			'id'         => 'slide_metabox',
			'title'      => 'Slide Options',
			'pages'      => array( 'slide', ), // Post type
			'context'    => 'normal',
			'priority'   => 'high',
			'show_names' => true, // Show field names on the left
			'fields'     => array(
				array(
					'name' => __( 'Optional Link', 'organizedthemes' ),
					'desc' => __( 'Works with an image slide, not a video slide.', 'organizedthemes' ),
					'id'   => 'slideurl',
					'type' => 'text',
				),
				array(
					'name' => __( 'Optional Caption', 'organizedthemes' ),
					'desc' => __( 'Add a small bit of text to your slide.', 'organizedthemes' ),
					'id'   => 'caption',
					'type' => 'text',
				),
				array(
					'name' => __( 'Video Code', 'organizedthemes' ),
					'desc' => __( 'To make this slide a video, paste your embed code here.  Video slides do not support links or captions.  For best results with videos, set the slideshow to NOT Automatically play', 'organizedthemes' ),
					'id'   => 'slide_video',
					'type' => 'textarea_code',
				),
			),
		);
		
		$meta_boxes[] = array(
			'id'         => 'staff_metabox',
			'title'      => 'Staff Details',
			'pages'      => array( 'staff', ), // Post type
			'context'    => 'side',
			'priority'   => 'high',
			'show_names' => true, // Show field names on the left
			'fields'     => array(
				array(
					'name' => __( 'Title', 'organizedthemes' ),
					'desc' => '',
					'id'   => 'title',
					'type' => 'text',
				),
				array(
					'name' => __( 'Facebook URL', 'organizedthemes' ),
					'desc' => '',
					'id'   => 'facebook',
					'type' => 'text',
				),
				array(
					'name' => __( 'Twitter Username', 'organizedthemes' ),
					'desc' => '',
					'id'   => 'twitter',
					'type' => 'text',
				),
				array(
					'name' => __( 'Email Address', 'organizedthemes' ),
					'desc' => '',
					'id'   => 'email',
					'type' => 'text',
				),
				array(
					'name' => __( 'Phone Number', 'organizedthemes' ),
					'desc' => '',
					'id'   => 'phone',
					'type' => 'text',
				),
				array(
					'name' => __( 'Optional Field Title', 'organizedthemes' ),
					'desc' => __( 'Use this box to add your own custom link (optional).', 'organizedthemes' ),
					'id'   => 'option_title',
					'type' => 'text',
				),
				array(
					'name' => __( 'Optional Link URL', 'organizedthemes' ),
					'desc' => __( 'The URL for your custom link.', 'organizedthemes' ),
					'id'   => 'optional_url',
					'type' => 'text',
				),
			),
		);
	
	$meta_boxes[] = array(
		'id' => 'podcast_metabox',
		'title' => 'Podcast Files',
		'pages' => array('podcast'), // post type
		'context' => 'normal',
		'priority' => 'high',
		'show_names' => true, // Show field names on the left
		'fields' => array(
			array(
				'name' => __( 'Message Audio File', 'organizedthemes' ),
				'desc' => __( 'Upload a file or enter an URL.', 'organizedthemes' ),
				'id' => 'message_audio',
				'type' => 'file'
			),
			array(
				'name' => __( 'Duration', 'organizedthemes' ),
				'desc' => __( 'hours:minutes:seconds', 'organizedthemes' ),
				'id'   => 'duration',
				'type' => 'text',
			),
			array(
				'name' => __( 'Audio File Type', 'organizedthemes' ),
				'desc' => '',
				'id'   => 'message_audio_type',
				'type'    => 'select',
									'options' => array(
										array( 'name' => '.mp3', 'value' => 'audio/mpeg', ),
										array( 'name' => '.m4a', 'value' => 'audio/x-m4a', ),
									),
			),
			array(
				'name' => __( 'Message Notes', 'organizedthemes' ),
				'desc' => __( 'Upload a file or enter an URL.', 'organizedthemes' ),
				'id' => 'message_notes',
				'type' => 'file'
			),
			array(
				'name' => __( 'Message Video File', 'organizedthemes' ),
				'desc' => __( 'Upload a file or enter an URL.', 'organizedthemes' ),
				'id' => 'message_video',
				'type' => 'file'
			),
			array(
				'name' => __( 'Video File Type', 'organizedthemes' ),
				'desc' => '',
				'id'   => 'message_video_type',
				'type'    => 'select',
									'options' => array(
										array( 'name' => '.mp4', 'value' => 'video/mp4', ),
										array( 'name' => '.m4v', 'value' => 'video/x-m4v', ),
										array( 'name' => '.mov', 'value' => 'video/quicktime', ),
									),
			),
			
			array(
				'name' => __( 'Duration', 'organizedthemes' ),
				'desc' => __( 'hours:minutes:seconds', 'organizedthemes' ),
				'id'   => 'video_duration',
				'type' => 'text',
			),
			
			array(
				'name' => 'Video Embed Code',
				'desc' => 'To stream your video from a service such as YouTube or Vimeo, paste the embed code here.',
				'id'   => 'video_embed',
				'type' => 'textarea_code',
			),
			
		)
	);
	
	
	return $meta_boxes;
}


// Initialize the metabox class
add_action( 'init', 'be_initialize_cmb_meta_boxes', 9999 );
function be_initialize_cmb_meta_boxes() {
	if ( !class_exists( 'cmb_Meta_Box' ) ) {
		require_once( 'init.php' );
	}
}