<?php
/**
 * Slides Post Type
 *
 * This file creates the slides post type
 * for the homepage and also controls its
 * display and function.
 *
 * @package Live
 * @since 3.0.0
 */
 
// Registers the new post type and taxonomy


	$labels = array(
		'name' 			=> __( 'Slides', 'organizedthemes' ),
		'singular_name' => __( 'Slide', 'organizedthemes' ),
		'add_new' 		=> __( 'Add Slide', 'organizedthemes' ),
		'add_new_item' 	=> __( 'Add New Slide', 'organizedthemes' ),
		'edit_item' 	=> __( 'Edit Slide', 'organizedthemes' ),
		'new_item' 		=> __( 'Add New Slide', 'organizedthemes' ),
		'view_item' 	=> __( 'View Slide', 'organizedthemes' ),
		'search_items' 	=> __( 'Search Slides', 'organizedthemes' ),
		'not_found' 	=> __( 'No slides found', 'organizedthemes' ),
		'not_found_in_trash' => __( 'No slides in trash', 'organizedthemes' )
	);

	$args = array(
    	'labels' 				=> $labels,
    	'public' 				=> true,
		'supports' 				=> array( 'title', 'thumbnail', 'page-attributes' ),
		'capability_type' 		=> 'post',
		'show_in_menu'		 	=> 'upload.php',
		'rewrite' 				=> array("slug" => "slide"),
		'exclude_from_search' 	=> true,
		'show_in_nav_menus'		=> false,
		'menu_position' 		=> 5,
		'hierarchical' 			=> true,
		'has_archive' 			=> false
	); 

	register_post_type( 'slide', $args);
	


//  Add columns to slide dashboard
//  http://wptheming.com/2010/07/column-edit-pages/

add_filter("manage_edit-slide_columns", "slide_edit_columns");
add_action("manage_pages_custom_column",  "slide_columns_display", 10, 2);

 
function slide_edit_columns($slide_columns){
	$slide_columns = array(
		"cb" 				=> "<input type=\"checkbox\" />",
		"slide_thumbnail" 	=> __('Slide', 'organizedthemes'),
		"title" 			=> __('Title', 'organizedthemes'),
		"slide_url" 		=> __('Link URL', 'organizedthemes'),
	);
	return $slide_columns;
}
 
function slide_columns_display($slide_columns, $post_id){

	switch ($slide_columns)
	
	{
		// Code from: http://wpengineer.com/display-post-thumbnail-post-page-overview
		
		case "slide_thumbnail": //Adds the slide thumnail to the columns
			$width = (int) 300;
			$height = (int) 200;
			$thumbnail_id = get_post_meta( $post_id, '_thumbnail_id', true );
			
			// Display the featured image in the column view if possible
			if ($thumbnail_id) {
				$thumb = wp_get_attachment_image( $thumbnail_id, array($width, $height), true );
			}
			if ( isset($thumb) ) {
				echo $thumb;
			} else {
				echo __('Remember to add a featured image to your slide!', 'organizedthemes');
			}
			break;
			
		case "slide_url":  //Adds the slides optional link to the columns
			$custom = get_post_custom();
			echo $custom["slideurl"][0];
			break;	
		
	}
}

//change title to slide description
	function organizedthemes_slide_title( $title ){
	     $screen = get_current_screen();
	 
	     if  ( 'slide' == $screen->post_type ) {
	          $title = 'Enter Slide Description (not publically visible)';
	     }
	 
	     return $title;
	}
	 
	add_filter( 'enter_title_here', 'organizedthemes_slide_title' );
		
?>