<?php
/**
 * This file handles our scripts
 *
 * we register and load our scripts here.  Some
 * of the script output is generated in custom-js.php
 *
 * @package Live
 * @since  3.0.0
 */
 
 
 if ( ! function_exists( 'organizedthemes_script_register' ) ):
 
	// Register various scripts
		function organizedthemes_script_register() {
			if( !is_admin()){
			wp_register_script('vids', get_template_directory_uri() . '/js/fitvids.js', array('jquery'), NULL, true );
			wp_register_script('flex', get_template_directory_uri() . '/js/flexslider.js', array('jquery'), NULL, true );
			wp_register_script('superfish', get_template_directory_uri() . '/js/superfish.js', array('jquery'), NULL, true );
			wp_register_script('hoverintent', get_template_directory_uri() . '/js/hoverIntent.js', array('jquery'), NULL, true );
			}
		}
		add_action('init', 'organizedthemes_script_register');
		
	// Load scripts on all pages
		function organizedthemes_load_default_scripts() {
			if( !is_admin()){
				wp_enqueue_script('vids');
				wp_enqueue_script('hoverintent');
				wp_enqueue_script('superfish');
				wp_enqueue_script('flex');
			}
		}
		add_action('wp_enqueue_scripts', 'organizedthemes_load_default_scripts');


	// Conditionally load slideshow and masonry scripts
		function organizedthemes_conditional_script_loading() {
			
			if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
					wp_enqueue_script( 'comment-reply' );
			}
			
		}
		add_action('wp_enqueue_scripts', 'organizedthemes_conditional_script_loading');


endif; // organizedthemes_script_register

// add ie scripts

 if ( ! function_exists( 'organizedthemes_add_ie' ) ):

	function organizedthemes_add_ie () {
		
		echo '<!--[if lt IE 9]>';
		echo '<script src="'.get_template_directory_uri().'/js/html5.js"></script>';
		echo '<script src="'.get_template_directory_uri().'/js/respond.js"></script>';
		echo '<style> .shadow { behavior: url('.get_template_directory_uri().'/js/PIE.htc) }</style>';
		echo '<![endif]-->';
	
	}
	
	add_action('wp_head', 'organizedthemes_add_ie');
	
endif; // organizedthemes_add_ie

	
// Load Stylesheet
	
	 if ( ! function_exists( 'organizedthemes_load_stylesheets' ) ):
	
		function organizedthemes_load_stylesheets() {
			
			wp_enqueue_style( 'main', get_stylesheet_uri(), array(), '1.3.0', 'screen' );
			
		}
		
		add_action( 'wp_enqueue_scripts', 'organizedthemes_load_stylesheets' );	
	
	endif; // organizedthemes_load_stylesheets


// Add media element script and style
	
	function organizedthemes_load_mediaelement_files() {
		
		wp_register_script('mediaelement', get_template_directory_uri() . '/js/mediaelement/mediaelement.js', array('jquery'), NULL, false );
		wp_register_style('mediaelementcss', get_template_directory_uri() . '/js/mediaelement/mediaelementplayer.css', '', NULL, 'screen' );
		
		if ( is_singular( 'podcast' ) ) {
			wp_enqueue_style('mediaelementcss');
			wp_enqueue_script( 'mediaelement' );
		}
	}
	add_action('wp_enqueue_scripts', 'organizedthemes_load_mediaelement_files');


// Live Meta Generator
		
		if ( ! function_exists( 'live_meta_generator' ) ):
		
			function live_meta_generator() {
				
			echo '
<!-- Theme Version -->
<meta name="generator" content="Live '.LIVE_VERSION.'" />
				
				';
				
			}
	
		endif;
		
		add_action( 'tha_head_bottom', 'live_meta_generator', 1 );