<?php

/**
 * Front End Customizer
 *
 * WordPress 3.4 Required
 */
 
add_action( 'customize_register', 'organizedthemes_customizer_register' );

function organizedthemes_customizer_register($wp_customize) {
	
	/**
	 * Removes the Title and Tagline Section
	 */

	$wp_customize->remove_section( 'title_tagline');
	
	/**
	 * This is optional, but if you want to reuse some of the defaults
	 * or values you already have built in the options panel, you
	 * can load them into $options for easy reference
	 */
	 
	$options = optionsframework_options();
	

// Logo
	
	$wp_customize->add_section( 'organizedthemes_logo', array(
		'title' => __( 'Logo', 'organizedthemes' ),
		'priority' => 10
	) );
	
	// Logo Type
		$wp_customize->add_setting( 'live[header_blog_title]', array(
			'default' => $options['header_blog_title']['std'],
			'type' => 'option'
		) );
	
		$wp_customize->add_control( 'live_logo_select', array(
				'label' => $options['header_blog_title']['name'],
				'section' => 'organizedthemes_logo',
				'settings' => 'live[header_blog_title]',
				'type' => $options['header_blog_title']['type'],
				'choices' => $options['header_blog_title']['options'],
				'priority' => 1
		) );
		
		$wp_customize->add_setting( 'live[logo]', array(
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'logo', array(
			'label' => $options['logo']['name'],
			'section' => 'organizedthemes_logo',
			'settings' => 'live[logo]',
			'priority' => 2
		) ) );
	
	// Title font face
		$wp_customize->add_setting( 'live[site_title_font][face]', array(
			'default' => $options['site_title_font']['std']['face'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'site_title_font', array(
				'label' => $options['site_title_font']['name'],
				'section' => 'organizedthemes_logo',
				'settings' => 'live[site_title_font][face]',
				'type' => 'select',
				'choices' => $options['site_title_font']['options']['faces'],
				'priority' => 3
		) );
	
	// Title Color
		$wp_customize->add_setting( 'live[logo_color]', array(
			'default' => $options['logo_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'logo_color', array(
			'label'   => $options['logo_color']['name'],
			'section' => 'organizedthemes_logo',
			'settings'   => 'live[logo_color]',
			'priority' => 4
		) ) );
	
	// Title Color Hover
		$wp_customize->add_setting( 'live[logo_color_hover]', array(
			'default' => $options['logo_color_hover']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'logo_color_hover', array(
			'label'   => $options['logo_color_hover']['name'],
			'section' => 'organizedthemes_logo',
			'settings'   => 'live[logo_color_hover]',
			'priority' => 5
		) ) );
	
// Background
	
	$wp_customize->add_section( 'organizedthemes_background', array(
		'title' => __( 'Background', 'organizedthemes' ),
		'priority' => 11
	) );
	
	// background image
		$wp_customize->add_setting( 'live[background_image]', array(
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'background_image', array(
			'label' => $options['background_image']['name'],
			'section' => 'organizedthemes_background',
			'settings' => 'live[background_image]'
		) ) );
	
	// background color
		$wp_customize->add_setting( 'live[background_color]', array(
			'default' => $options['background_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'background_color', array(
			'label'   => $options['background_color']['name'],
			'section' => 'organizedthemes_background',
			'settings'   => 'live[background_color]'
		) ) );

	// background repeat
		$wp_customize->add_setting( 'live[background_repeat]', array(
				'default' => $options['background_repeat']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'live_repeat_select', array(
				'label' => $options['background_repeat']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'live[background_repeat]',
				'type' => $options['background_repeat']['type'],
				'choices' => $options['background_repeat']['options']
		) );
	
	// background attachment
		$wp_customize->add_setting( 'live[background_attachment]', array(
				'default' => $options['background_attachment']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'live_attachment_select', array(
				'label' => $options['background_attachment']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'live[background_attachment]',
				'type' => $options['background_attachment']['type'],
				'choices' => $options['background_attachment']['options']
		) );
	
	// background horizontal position
		$wp_customize->add_setting( 'live[background_position_horizontal]', array(
				'default' => $options['background_position_horizontal']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'live_horizontal_select', array(
				'label' => $options['background_position_horizontal']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'live[background_position_horizontal]',
				'type' => $options['background_position_horizontal']['type'],
				'choices' => $options['background_position_horizontal']['options']
		) );
	
	// background vertical position
		$wp_customize->add_setting( 'live[background_position_vertical]', array(
				'default' => $options['background_position_vertical']['std'],
				'type' => 'option'
			) );
		
		$wp_customize->add_control( 'live_vertical_select', array(
				'label' => $options['background_position_vertical']['name'],
				'section' => 'organizedthemes_background',
				'settings' => 'live[background_position_vertical]',
				'type' => $options['background_position_vertical']['type'],
				'choices' => $options['background_position_vertical']['options']
		) );
		
// Navigation
	
	// header background color
		$wp_customize->add_setting( 'live[header_background]', array(
			'default' => $options['header_background']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'header_background', array(
			'label'   => $options['header_background']['name'],
			'section' => 'nav',
			'settings'   => 'live[header_background]'
		) ) );
	
	// Navigation font face
		$wp_customize->add_setting( 'live[navigation_type][face]', array(
			'default' => $options['navigation_type']['std']['face'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'navigation_type', array(
				'label' => $options['navigation_type']['name'],
				'section' => 'nav',
				'settings' => 'live[navigation_type][face]',
				'type' => 'select',
				'choices' => $options['navigation_type']['options']['faces']
		) );
	
	// Navigation font color
		$wp_customize->add_setting( 'live[nav_color]', array(
			'default' => $options['nav_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_color', array(
			'label'   => $options['nav_color']['name'],
			'section' => 'nav',
			'settings'   => 'live[nav_color]',
			'priority' => 30
		) ) );
	
	// Navigation font color Hover
		$wp_customize->add_setting( 'live[nav_color_hover]', array(
			'default' => $options['nav_color_hover']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_color_hover', array(
			'label'   => $options['nav_color_hover']['name'],
			'section' => 'nav',
			'settings'   => 'live[nav_color_hover]',
			'priority' => 40
		) ) );
	
	// Drop-down background color
		$wp_customize->add_setting( 'live[nav_drop]', array(
			'default' => $options['nav_drop']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'nav_drop', array(
			'label'   => $options['nav_drop']['name'],
			'section' => 'nav',
			'settings'   => 'live[nav_drop]',
			'priority' => 50
		) ) );

// Action Bar
	
	$wp_customize->add_section( 'organizedthemes_action', array(
		'title' => __( 'Action Bar', 'organizedthemes' ),
		'priority' => 27
	) );
	
	// Action Bar Include
		$wp_customize->add_setting( 'live[action]', array(
			'default' => $options['action']['std'],
			'type' => 'option'
		) );
	
		$wp_customize->add_control( 'live_action_select', array(
				'label' => $options['action']['name'],
				'section' => 'organizedthemes_action',
				'settings' => 'live[action]',
				'type' => $options['action']['type'],
				'choices' => $options['action']['options'],
				'priority' => 1
		) );
	
	// Action Bar Text
		$wp_customize->add_setting( 'live[action_text]', array(
			'default' => $options['action_text']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_action_text', array(
			'label'   => $options['action_text']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[action_text]',
			'type' => $options['action_text']['type'],
			'priority' => 5
		 ) );
		 
	// Action Bar Text
		$wp_customize->add_setting( 'live[action_url]', array(
			'default' => $options['action_url']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_action_url', array(
			'label'   => $options['action_url']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[action_url]',
			'type' => $options['action_url']['type'],
			'priority' => 10
		 ) );
	
	// Action Bar Background
		$wp_customize->add_setting( 'live[action_background]', array(
			'default' => $options['action_background']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'action_background', array(
			'label'   => $options['action_background']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[action_background]',
			'priority' => 15
		) ) );
	
	// Action Bar Text Color
		$wp_customize->add_setting( 'live[action_text_color]', array(
			'default' => $options['action_text_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'action_text_color', array(
			'label'   => $options['action_text_color']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[action_text_color]',
			'priority' => 30
		) ) );
	
	// Action Bar Text Hover
		$wp_customize->add_setting( 'live[action_text_hover]', array(
			'default' => $options['action_text_hover']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'action_text_hover', array(
			'label'   => $options['action_text_hover']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[action_text_hover]',
			'priority' => 40
		) ) );
	
	
	// Donation Description Text
		$wp_customize->add_setting( 'live[description]', array(
			'default' => $options['description']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_description', array(
			'label'   => $options['description']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[description]',
			'type' => $options['description']['type'],
			'priority' => 50
		 ) );
	
	// Donation Goal
		$wp_customize->add_setting( 'live[goal]', array(
			'default' => $options['goal']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_goal', array(
			'label'   => $options['goal']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[goal]',
			'type' => $options['goal']['type'],
			'priority' => 53
		 ) );
	
	
	// Donation Progress
		$wp_customize->add_setting( 'live[progress]', array(
			'default' => $options['progress']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( 'options_theme_customizer_progress', array(
			'label'   => $options['progress']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[progress]',
			'type' => $options['progress']['type'],
			'priority' => 55
		 ) );
	
	
	
	// Donation Bar Base Color
		$wp_customize->add_setting( 'live[donation_base_color]', array(
			'default' => $options['donation_base_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'donation_base_color', array(
			'label'   => $options['donation_base_color']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[donation_base_color]',
			'priority' => 70
		) ) );
	
	// Donation Bar Progress Color
		$wp_customize->add_setting( 'live[donation_progress_color]', array(
			'default' => $options['donation_progress_color']['std'],
			'type' => 'option'
		) );
		
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'donation_progress_color', array(
			'label'   => $options['donation_progress_color']['name'],
			'section' => 'organizedthemes_action',
			'settings'   => 'live[donation_progress_color]',
			'priority' => 75
		) ) );
	
	
// Content
	
	$wp_customize->add_section( 'organizedthemes_content', array(
		'title' => __( 'Content', 'organizedthemes' ),
		'priority' => 30
	) );
	
		// Body font face
			$wp_customize->add_setting( 'live[body_font][face]', array(
				'default' => $options['body_font']['std']['face'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'body_font', array(
					'label' => $options['body_font']['name'],
					'section' => 'organizedthemes_content',
					'settings' => 'live[body_font][face]',
					'type' => 'select',
					'choices' => $options['body_font']['options']['faces'],
					'priority' => 5
			) );
		
		// Body font color
			$wp_customize->add_setting( 'live[content_text]', array(
				'default' => $options['content_text']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'content_text', array(
				'label'   => $options['content_text']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[content_text]',
				'priority' => 7
			) ) );
		
		// Heading font face
			$wp_customize->add_setting( 'live[heading_font][face]', array(
				'default' => $options['heading_font']['std']['face'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'heading_font', array(
					'label' => $options['heading_font']['name'],
					'section' => 'organizedthemes_content',
					'settings' => 'live[heading_font][face]',
					'type' => 'select',
					'choices' => $options['heading_font']['options']['faces'],
					'priority' => 15
			) );
		
		// Heading color
			$wp_customize->add_setting( 'live[headings]', array(
				'default' => $options['headings']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'headings', array(
				'label'   => $options['headings']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[headings]',
				'priority' => 17
			) ) );
		
		// Link color
			$wp_customize->add_setting( 'live[link]', array(
				'default' => $options['link']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link', array(
				'label'   => $options['link']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[link]',
				'priority' => 20
			) ) );
		
		// Link Hover color
			$wp_customize->add_setting( 'live[link_hover]', array(
				'default' => $options['link_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'link_hover', array(
				'label'   => $options['link_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[link_hover]',
				'priority' => 25
			) ) );
		
		// Button color
			$wp_customize->add_setting( 'live[button_color]', array(
				'default' => $options['button_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_color', array(
				'label'   => $options['button_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[button_color]',
				'priority' => 30
			) ) );
		
		// Button background
			$wp_customize->add_setting( 'live[button_background]', array(
				'default' => $options['button_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_background', array(
				'label'   => $options['button_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[button_background]',
				'priority' => 35
			) ) );
		
		// Button color hover
			$wp_customize->add_setting( 'live[button_color_hover]', array(
				'default' => $options['button_color_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_color_hover', array(
				'label'   => $options['button_color_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[button_color_hover]',
				'priority' => 40
			) ) );
		
		// Button background hover
			$wp_customize->add_setting( 'live[button_background_hover]', array(
				'default' => $options['button_background_hover']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'button_background_hover', array(
				'label'   => $options['button_background_hover']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[button_background_hover]',
				'priority' => 45
			) ) );
		
		// Content Background
			$wp_customize->add_setting( 'live[content_background]', array(
				'default' => $options['content_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'content_background', array(
				'label'   => $options['content_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[content_background]',
				'priority' => 50
			) ) );
		
		// Sidebar Color
			$wp_customize->add_setting( 'live[sidebar_text]', array(
				'default' => $options['sidebar_text']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sidebar_text', array(
				'label'   => $options['sidebar_text']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[sidebar_text]',
				'priority' => 55
			) ) );
		
		// Sidebar Background Color
			$wp_customize->add_setting( 'live[sidebar_background]', array(
				'default' => $options['sidebar_background']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'sidebar_background', array(
				'label'   => $options['sidebar_background']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[sidebar_background]',
				'priority' => 60
			) ) );
		
		// Footer Color
			$wp_customize->add_setting( 'live[footer_color]', array(
				'default' => $options['footer_color']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'footer_color', array(
				'label'   => $options['footer_color']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[footer_color]',
				'priority' => 65
			) ) );
		
		// Home page widget height
			$wp_customize->add_setting( 'live[home_widget_height]', array(
				'default' => $options['home_widget_height']['std'],
				'type' => 'option'
			) );
			
			$wp_customize->add_control( 'options_theme_customizer_home_widget_height', array(
				'label'   => $options['home_widget_height']['name'],
				'section' => 'organizedthemes_content',
				'settings'   => 'live[home_widget_height]',
				'type' => $options['home_widget_height']['type'],
				'priority' => 75
			 ) );
		
}