<?php
/**
 * Featured Post Widget
 *
 * This widget displays posts from the category of your choosing.
 *
 * @package 	Organized Themes
 * @version		1.0.0
 *
 */
class OTFeaturedPost extends WP_Widget {

function OTFeaturedPost() {
	parent::WP_Widget(false, $name='Organized Themes Featured Post');
}

/**
 * Displays category posts widget on blog.
 */
function widget($args, $instance) {
	extract( $args );
	
	// If not title, use the name of the category.
	if( !$instance["title"] ) {
		$category_info = get_category($instance["cat"]);
		$instance["title"] = $category_info->name;
	}
	
	// Get array of post info.
	query_posts("showposts=" . $instance["num"] . "&cat=" . $instance["cat"]);
	global $post; // So we can get the post ID
	
	echo $before_widget;
	
	
	// Post list

	while ( have_posts() ) : the_post();
	?>
		<div class='featured-post'>

			<a href="<?php the_permalink(); ?>" title="<?php echo the_title_attribute(); ?>"><?php the_post_thumbnail(); ?></a>

			<div class="featured-title"><h4><a href="<?php echo the_permalink(); ?>" title="<?php echo the_title_attribute(); ?>"><?php echo the_title(); ?></a></h4></div>
			<p class="featured-meta"><?php the_time('F j, Y'); ?> <?php _e("in"); ?> <?php the_category(', ') ?> <a href="<?php the_permalink(); ?>#comments"><?php comments_number(__('Make A Comment', 'organizedthemes'), __('1 Comment', 'organizedthemes'), __('% Comments', 'organizedthemes')); ?></a></p>
			<p class="featured-excerpt"><?php the_content_rss('', FALSE, '', 37);?></p>
			<p class="featured-more"><a href="<?php echo the_permalink(); ?>" title="<?php echo the_title_attribute(); ?>"><?php _e("Read More"); ?></a></p>
		
	</div>

<?php
	endwhile;
	
	echo $after_widget;
}

/**
 * Form processing... Dead simple.
 */
function update($new_instance, $old_instance) {
    $new_instance["cat"] = absint( $new_instance["cat"] );
    $new_instance["exclude"] = (bool) $new_instance["exclude"];
    
	return $new_instance;
}

/**
 * The configuration form.
 */
function form($instance) {
?>
		
		<p>
			<label>
				<?php _e( 'Category', 'organizedthemes' ); ?>:
				<?php wp_dropdown_categories( array( 'name' => $this->get_field_name("cat"), 'selected' => $instance["cat"] ) ); ?>
			</label>
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id("num"); ?>">
				<?php _e('Number of posts to show', 'organizedthemes'); ?>:
				<input style="text-align: center;" id="<?php echo $this->get_field_id("num"); ?>" name="<?php echo $this->get_field_name("num"); ?>" type="text" value="<?php echo absint($instance["num"]); ?>" size='3' />
			</label>
		</p>

        <?php
        /*
            // Debug code...
            echo "<pre>";
            $tmp = get_option("widget_categorypostswidget");
            var_dump($tmp);
            echo "</pre>";
        */
        ?>

<?php

}

}

add_action( 'widgets_init', create_function('', 'return register_widget("OTFeaturedPost");') );
