<?php
/**
 * Video Widget
 *
 * This file creates a simple video widget
 * that you can use to embed a video.
 *
 * @package Organized Themes
 * @version 1.0.0
 */

class FeaturedVideoWidget extends WP_Widget
{
 /**
  * Declares the FeaturedVideoWidget class.
  *
  */
    function FeaturedVideoWidget(){
    $widget_ops = array('classname' => 'widget_featured_video', 'description' => __( 'Display a Featured Video','organizedthemes') );
    $control_ops = array('width' => 400, 'height' => 350);
    $this->WP_Widget('featuredvideo', __('Featured Video Widget','organizedthemes'), $widget_ops, $control_ops);
    }

  /**
    * Displays the Widget
    *
    */
    function widget($args, $instance){
      extract($args);
      $embed = empty($instance['embed']) ? '' : $instance['embed'];

      # Before the widget
      echo $before_widget;


      # Make the widget
      echo '<div class="responsive-video">' . $embed . "</div>";

      # After the widget
      echo $after_widget;
  }

  /**
    * Saves the widgets settings.
    *
    */
    function update($new_instance, $old_instance){
      $instance = $old_instance;
      $instance['embed'] = stripslashes($new_instance['embed']);

    return $instance;
  }

  /**
    * Creates the edit form for the widget.
    *
    */
    function form($instance){
      //Defaults
      $instance = wp_parse_args( (array) $instance, array('embed'=>'') );

      $embed = htmlspecialchars($instance['embed']);

?>
	<p>
		<?php _e('The video widget can be used to display a video in any sidebar area.  Just paste the embed code from the video provider of your choice (like YouTube or Vimeo).  Be sure to use the embed code and not just the URL to the video.', 'organizedthemes'); ?>
	</p>

      <p style="text-align:right;"><label for="embed"><?php _e('Embed Code:', 'organizedthemes'); ?><textarea class="widefat" rows="16" cols="20" id="<?php echo $this->get_field_id('embed'); ?>" name="<?php echo $this->get_field_name('embed'); ?>"><?php echo $embed; ?></textarea></label></p>
      
<?php
  }

}// END class

/**
  * Register Hello World widget.
  *
  * Calls 'widgets_init' action after the Hello World widget has been registered.
  */
  function FeaturedVideoInit() {
  register_widget('FeaturedVideoWidget');
  }
  add_action('widgets_init', 'FeaturedVideoInit');
?>