<?php
/**
 * Widgets
 *
 * This file registers our sidebar areas
 * and sets up some widget options
 *
 * @package Live
 * @since 3.0.0
 *
 */

	// Register Sidebar Areas
		add_action( 'init', 'organizedthemes_sidebars' );
		
		function organizedthemes_sidebars() {
		
			register_sidebar( array(
				'name' => __('Default'),
				'id' => 'default',
				'description' => __('This is the default sidebar'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
		
			register_sidebar( array(
				'name' => __('Left Home'),
				'id' => 'left-home',
				'description' => __('The left part of the lower home page'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Middle Home'),
				'id' => 'middle-home',
				'description' => __('The middle part of the lower home page'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Right Home'),
				'id' => 'right-home',
				'description' => __('The right part of the lower home page'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Post Sidebar'),
				'id' => 'post',
				'description' => __('Sidebar on all posts'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			register_sidebar( array(
				'name' => __('Page Sidebar'),
				'id' => 'page',
				'description' => __('Sidebar on all pages'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			
			register_sidebar( array(
				'name' => __('Podcast Sidebar', 'organizedthemes'),
				'id'   =>  'sidebar-podcast',
				'description' => __('This sidebar is used only on podcast pages.', 'organizedthemes'),
				'before_widget' => '<div id="%1$s" class="widget %2$s">', 
				'after_widget' => '</div>', 
				'before_title' => '<h3 class="widget-title">', 
				'after_title' => '</h3>'
			) );
			
		}
	
	// remove inline styling from recent comments widget
		function organizedthemes_remove_recent_comments_style() {
			global $wp_widget_factory;
			remove_action( 'wp_head', array( $wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style' ) );
		}
		add_action( 'widgets_init', 'organizedthemes_remove_recent_comments_style' );
	
	
	
	// include shortcodes in widgets
		add_filter('widget_text', 'do_shortcode');