<?php
/*
 * Template Name: Home
 *
 *
 * This file creates the 
 * theme homepage
 *
 * @package Live
 * @since 3.0.0
 *
 */

get_header(); ?>

	<div id="home">
		
		<div class="flexslider <?php echo of_get_option('arrow_color',''); ?>">
			<ul class="slides">
				<?php $loop = new WP_Query( array( 'post_type' => 'slide', 'posts_per_page' => '-1', 'orderby'=>'menu_order', 'order'=>'ASC' ) ); ?>
				<?php while ( $loop->have_posts() ) : $loop->the_post(); ?>
				
					<li>
					<?php if(get_post_meta($post->ID, "slide_video", $single = true) != ""){ ?>
					
						<div class="responsive-video">
							<?php echo get_post_meta($post->ID, "slide_video", TRUE); ?>
							
						</div>
					
					<?php } else { ?>
						
						<a href="<?php echo get_post_meta($post->ID, "slideurl", TRUE); ?>"><?php the_post_thumbnail('slide'); ?></a>
						
						<?php if(get_post_meta($post->ID, "caption", $single = true) != ""){ ?>
							<p class="caption"><a href="<?php echo get_post_meta($post->ID, "slideurl", TRUE); ?>"><?php echo get_post_meta($post->ID, "caption", TRUE); ?></a></p>
						<?php } ?>
						
					<?php } ?>
					
					</li>
					
				<?php endwhile; wp_reset_query(); ?>
			</ul>	
		</div><!-- .flexslider -->
		
		<?php if(of_get_option('action') == 'call') { ?>
		
			<div id="action-bar">
			
				<h2><a href="<?php echo of_get_option('action_url'); ?>"><?php echo of_get_option('action_text'); ?></a></h2>
				
			</div><!-- #action-bar -->
			
		<?php } elseif(of_get_option('action') == 'donation') { ?>
		
			<?php get_template_part( 'includes/donation-bar' ); ?>
		
		<?php } ?>
		
		<div id="lower-home">
		
			<div id="home-left">
			
				<?php dynamic_sidebar('left-home'); ?>
				
			</div>
			
			<div id="home-middle">
			
				<?php dynamic_sidebar('middle-home'); ?>
				
			</div>
			
			<div id="home-right">
			
				<?php dynamic_sidebar('right-home'); ?>
				
			</div>
			
		</div>
		
	</div><!-- #home -->
		
<?php get_footer(); ?>