<?php
/*
 * Template Name: Podcast
 *
 *
 * This creates an arhive for your
 * podcasts.
 *
 * @package Live
 * @since 3.1.1
 *
 */

get_header(); ?>
	
	<?php get_template_part( 'includes/post-formats' ); ?>
	
	<div id="content">
	
		<?php while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
			<h1><?php the_title(); ?></h1>
			
			<?php the_content(); ?>
			
		<?php endwhile; ?>	
		
			<ul class="podcast-list">
				
				<?php query_posts( '&post_type=podcast&paged=' . $paged ); ?>
				
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
									
					<li class="podcast-episode clearfix">
						
						<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
						
						<?php get_template_part( 'includes/podcast-details' ); ?>
						
					</li>
		                                   
				<?php endwhile; else: ?>
		
				<li><?php _e('Sorry, no podcast matched your criteria.', 'organizedthemes'); ?></li><?php endif; ?>
				
			</ul>
				
		<?php get_template_part( 'includes/pagination' ); ?>
		
		</article>
			 
    </div><!-- #content -->
	
<?php get_sidebar(); ?>
<?php get_footer(); ?>