<?php
/**
 * Search
 *
 * This page displays search results
 *
 * @package Live
 * @since 3.0.0
 *
 */
 
 get_header(); ?>

	<div id="content">
		
		<h1><?php _e('Search Results:', 'organizedthemes'); ?></h1>
		
		<ul>
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
				<li id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
				
					<p class="time"><?php the_time('F j, Y'); ?></p>
					<h2 class="blog-title"><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					
					<?php get_template_part( 'includes/post-meta' ); ?>
					
					<?php the_excerpt(); ?>
		
				</li><!-- #post-<?php the_ID(); ?> -->
						
			<?php endwhile; else: ?>
				
				<li><?php _e('Sorry, no posts matched your criteria.', 'organizedthemes'); ?></li>
			
			<?php endif; ?>
		
		</ul>
		
		<?php get_template_part( 'includes/pagination' ); ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>