<?php
/**
 * Single
 *
 * This file is for single posts
 *
 * @package Live
 * @since 3.0.0
 *
 */ get_header(); ?>
	
	<?php get_template_part( 'includes/post-formats' ); ?>
	
	<div id="content">
	
		<?php while (have_posts()) : the_post(); ?>
		
		<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			
			<h1 class="blog-title"><?php the_title(); ?></h1>
			
			<?php get_template_part( 'includes/post-meta' ); ?>
			
			<?php the_content(); ?>
			
			<?php wp_link_pages('before=<div id="page-links">&after=</div>'); ?>
			
			<?php if ( is_singular() && get_the_author_meta( 'description' ) ) : //Displays the author box if the author has enetered a bio. ?>
			
				<div id="author-info">
				
					<div id="author-avatar">
					
						<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'twentytwelve_author_bio_avatar_size', 100 ) ); ?>
					
					</div>
					
					<div id="author-description">
					
						<h3><?php printf( __( 'About %s', 'organizedthemes' ), get_the_author() ); ?></h3>
						
						<p><?php the_author_meta( 'description' ); ?></p>
						
					</div>
				
				</div>
				
			<?php endif ?>
			
			<?php
				// If comments are open or we have at least one comment, load up the comment template
				if ( comments_open() || '0' != get_comments_number() )
					comments_template( '', true );
			?>
			
		</article><!-- #post-<?php the_ID(); ?> -->
				
		<?php endwhile; ?>
    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>