<?php
/**
 * Podcast Series
 *
 * This file generates our archive for podcast series.
 *
 * @package Live
 * @since 3.1.0
 *
 */
 
 get_header(); ?>
	
	<div id="content" class="full">
	
		<ul class="podcast-list">
		
			<?php if (have_posts()) : while (have_posts()) : the_post(); $loopcounter++; ?>
			
			<?php if ($loopcounter == 1) { ?>
				
				<li class="podcast-episode clearfix">
				
					<?php if(get_post_meta($post->ID, "video_embed", $single = true) != ""){ ?>
					
						<div class="responsive-video shadow"><?php echo get_post_meta($post->ID, "video_embed", TRUE); ?></div>
					
					<?php } else { ?>
						
						<a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_post_thumbnail( 'primary', array('class' => 'shadow') ); ?></a>
					
					<?php } ?>
					
					<div class="description">
						
						<?php
							$taxonomy = 'series';
							$queried_term = get_query_var($taxonomy);
							$terms = get_terms($taxonomy, 'slug='.$queried_term);
							if ($terms) {
							  foreach($terms as $term) {
							    echo '<h1>' . $term->name . '</h1> ';
							  }
							}
						?>
						
						<?php echo category_description(); ?>
						
					</div>
					
					<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					
					<?php get_template_part( 'includes/podcast-details' ); ?>
	
				</li>
				
			<?php } else { ?>
			
				<li class="podcast-episode clearfix">
					
					<h3><a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a></h3>
					
					<?php get_template_part( 'includes/podcast-details' ); ?>
					
				</li>
	
			<?php } ?>                                      
	
			<?php endwhile; else: ?>
	
			<p><?php _e('Sorry, no podcast matched your criteria.', 'organizedthemes'); ?></p><?php endif; ?>
			
		</ul>
				
		<?php get_template_part( 'includes/pagination' ); ?>
			 
    </div><!-- #content -->
	
  <?php get_footer(); ?>