<?php
/**
 * Staff Archive
 *
 * This page displays our
 * staff archives
 *
 * @package Live
 * @since 3.0.0
 *
 */
 
get_header(); ?>

	<div id="content">
	
		<?php $posts = query_posts( $query_string . '&orderby=menu_order&order=asc' ); ?>
		<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
								
			<article class="staff-member clearfix">
			
				<?php if ( has_post_thumbnail()) { ?>
					
					<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_post_thumbnail('portrait-small'); ?></a>
				
				<?php } ?>
				
				<div class="staff-details">
				
					<h2><a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a></h2>
					
					<?php if(get_post_meta($post->ID, "title", $single = true) != ""){ ?>
						
						<p class="staff-title"><?php echo get_post_meta($post->ID, "title", TRUE); ?></p>
						
					<?php } ?>
					
					<?php the_excerpt(); ?>
					
					<?php get_template_part( 'includes/staff-details' ); ?>
					
				</div>
				
			</article><!-- #staff-member -->
				
		<?php endwhile; else: ?>
	
		<article><p><?php _e('There are no staff members here yet.', 'organizedthemes'); ?></p></article><?php endif; ?>

		<?php get_template_part( 'layouts/paging' ); ?>
		    
    </div><!-- #content -->
	
  <?php get_sidebar(); ?>
  <?php get_footer(); ?>